Tasuku
ReferenceAPI referenceReviews

Return a pull request, findings, and recorded GitHub conversation

GET/organizations/{organization_id}/pull-requests/{pull_request_id}

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128
pull_request_id*string
Length1 <= length <= 128

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/string/pull-requests/string"
{  "data": {    "activity": [      {        "category": "string",        "detail": "string",        "id": "string",        "occurred_at": "string",        "run_id": "string",        "sequence": 1,        "status": "RUNNING",        "technical_detail": "string",        "title": "string",        "tool": "string",        "tool_input": "string",        "updated_at": "string"      }    ],    "findings": [      {        "body": "string",        "category": "string",        "confidence": 0,        "context_sources": [          {            "commit_sha": "string",            "purpose": "string",            "repository": "string"          }        ],        "created_at": "string",        "end_line": 1,        "evidence": "string",        "helpful": 0,        "id": "string",        "not_helpful": 0,        "original_commit_sha": "string",        "path": "string",        "resolution_reason": "string",        "rule_id": "string",        "rule_source": "string",        "severity": "LOW",        "source_url": "string",        "start_line": 1,        "status": "OPEN",        "title": "string",        "validation": [          {            "command": "string",            "detail": "string",            "kind": "TEST",            "status": "PASSED"          }        ]      }    ],    "messages": [      {        "author_login": "string",        "author_type": "USER",        "body": "string",        "created_at": "string",        "finding_id": "string",        "id": "string",        "source_url": "string"      }    ],    "provenance": {      "finished_at": "string",      "head_sha": "string",      "model": "string",      "model_variant": "string",      "provider": "string",      "reasoning_effort": "string",      "run_id": "string",      "sandbox_provider": "string",      "started_at": "string",      "status": "string",      "usage": {        "attempts": 0,        "cached_input_tokens": 0,        "cost_usd": 0,        "duration_ms": 0,        "input_tokens": 0,        "model": "string",        "output_tokens": 0,        "provider": "string",        "reasoning_output_tokens": 0,        "total_tokens": 0,        "turns": 0      }    },    "pull_request": {      "author_login": "string",      "created_at": "string",      "id": "string",      "number": 1,      "open_findings": 0,      "repository": "string",      "repository_id": "string",      "resolved_findings": 0,      "review_status": "string",      "state": "OPEN",      "title": "string",      "updated_at": "string"    },    "report": {      "confidence": 0,      "context_sources": [        {          "commit_sha": "string",          "purpose": "string",          "repository": "string"        }      ],      "coverage": [        {          "category": "string",          "evidence": "string",          "status": "PASS"        }      ],      "key_files": [        "string"      ],      "risk_level": "string",      "summary": "string",      "validation": [        {          "command": "string",          "detail": "string",          "kind": "TEST",          "status": "PASSED"        }      ]    },    "run": {      "created_at": "string",      "current_phase": "string",      "error_message": "string",      "finished_at": "string",      "id": "string",      "model": "string",      "model_variant": "string",      "provider": "string",      "reasoning_effort": "string",      "started_at": "string",      "status": "string",      "updated_at": "string",      "usage": {        "attempts": 0,        "cached_input_tokens": 0,        "cost_usd": 0,        "duration_ms": 0,        "input_tokens": 0,        "model": "string",        "output_tokens": 0,        "provider": "string",        "reasoning_output_tokens": 0,        "total_tokens": 0,        "turns": 0      },      "workflow_type": "string"    }  }}